Subject: Re: [bitcoin-dev] BIP 2 revival and rework

From: Luke Dashjr <[email-masked]>
Date: Sat, 15 Oct 2016 13:01:38 +0000

On Saturday, October 15, 2016 11:00:35 AM Tom Zander via bitcoin-dev wrote:
> My suggestion (sorry for not explaining it better) was that for BIPS to be
> a public domain (aka CC0) and a CC-BY option and nothing else.
> 
> I like you agree with that part, but I see you added two licenses.
> Do you have a good reason to add MIT/BSD to that list? Otherwise I think we
> agree.

BIPs often should include code.

> Well, it has this sentence;
> 
> > This BIP is dual-licensed under the Open Publication License and
> > BSD 2-clause license.
> 
> Which is a bit odd in light of the initial email from Luke that suggested
> we drop the Open Publication License and we use the CC ones instead in
> addition to the public domain one.

The "real" license in this case is the BSD 2-clause. However, BIP 1 only 
allows OPL and public domain, so BIP 2 is available under OPL as well so that 
it is acceptable before/until it activates also.

> Thats odd, you just stated you like the public domain (aka CC0) license,
> yet you encourage the BIP2 that states we can no longer use public domain
> for BIPs... Did you read it?

CC0 and public domain are two different things.

> This list has not seen a lot of traffic, if you want to make sure people
> keep using the BIP process, I think you need to reach out to the rest of
> the community and make sure this has been heard and discussed.
> Moving forward the way it is now will likely deminish the importance of the
> BIP process.

Yes, you're right. I'll post to Lightning-dev and libbitcoin's list about
BIP 2. If you're aware of any other Bitcoin development discussion groups, 
could you please bring BIP 2 to their attention so it gets wider review?

> 1) if you write as a rationale "In some jurisdictions, public domain is not
> recognised as a legitimate legal action" then you can at least name those
> jurisdictions and explain how they *do* support things like GPL. Burden of
> proof is on the man who wants to change things.

As I understand it, presently France and Germany do not recognise public 
domain as a possible status. GPL is merely a copyright license, so it should 
be valid anywhere copyright laws exist.

Luke